#!/bin/bash
#LDSC constrained genetic correlation
#$1 - file(s) 1 prefix munged sumstats
#$2 - file(s) 2 prefix munges sumstats
#$3 - directory

# To run the script Genetic_correlation_automated.sh
# for the different comparisons and data subsets
cd /data/workspaces/lag/workspaces/lg-genlang/Working/SCRIPTS/Genotype_data_QC_after_metaanalysis/LDSC

## RT_combined
./Genetic_correlation_automated_byEllen.sh "METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_NREP_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_SP_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_PA_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_PIQ_RT_combined_STERR_GCOFF_1"  "METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_NREP_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_SP_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_PA_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_PIQ_RT_combined_STERR_GCOFF_1" /data/workspaces/lag/workspaces/lg-genlang/Working/Genotypes_QC_after_metaanalysis/LDSC/RT_combined/

## RT males and females
./Genetic_correlation_automated_byEllen.sh "METAANALYSIS_WR_RT_MALE_EUR_STERR_GCOFF_1 METAANALYSIS_NREAD_RT_MALE_EUR_STERR_GCOFF_1 METAANALYSIS_NREP_RT_MALE_EUR_STERR_GCOFF_1 METAANALYSIS_SP_RT_MALE_EUR_STERR_GCOFF_1 METAANALYSIS_PA_RT_MALE_EUR_STERR_GCOFF_1 METAANALYSIS_PIQ_RT_MALE_STERR_GCOFF_1 METAANALYSIS_WR_RT_FEMALE_EUR_STERR_GCOFF_1 METAANALYSIS_NREAD_RT_FEMALE_EUR_STERR_GCOFF_1 METAANALYSIS_NREP_RT_FEMALE_EUR_STERR_GCOFF_1 METAANALYSIS_SP_RT_FEMALE_EUR_STERR_GCOFF_1 METAANALYSIS_PA_RT_FEMALE_EUR_STERR_GCOFF_1 METAANALYSIS_PIQ_RT_FEMALE_STERR_GCOFF_1 METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_NREP_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_SP_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_PA_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_PIQ_RT_combined_STERR_GCOFF_1" "METAANALYSIS_WR_RT_MALE_EUR_STERR_GCOFF_1 METAANALYSIS_NREAD_RT_MALE_EUR_STERR_GCOFF_1 METAANALYSIS_NREP_RT_MALE_EUR_STERR_GCOFF_1 METAANALYSIS_SP_RT_MALE_EUR_STERR_GCOFF_1 METAANALYSIS_PA_RT_MALE_EUR_STERR_GCOFF_1 METAANALYSIS_PIQ_RT_MALE_STERR_GCOFF_1 METAANALYSIS_WR_RT_FEMALE_EUR_STERR_GCOFF_1 METAANALYSIS_NREAD_RT_FEMALE_EUR_STERR_GCOFF_1 METAANALYSIS_NREP_RT_FEMALE_EUR_STERR_GCOFF_1 METAANALYSIS_SP_RT_FEMALE_EUR_STERR_GCOFF_1 METAANALYSIS_PA_RT_FEMALE_EUR_STERR_GCOFF_1 METAANALYSIS_PIQ_RT_FEMALE_STERR_GCOFF_1 METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_NREP_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_SP_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_PA_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_PIQ_RT_combined_STERR_GCOFF_1" /data/workspaces/lag/workspaces/lg-genlang/Working/Genotypes_QC_after_metaanalysis/LDSC/RT_combined_males_and_females/

# RT_combined_external sumstats
 ./Genetic_correlation_automated_byEllen.sh "METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_NREP_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_SP_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_PA_RT_EUR_combined_STERR_GCOFF_1 METAANALYSIS_PIQ_RT_combined_STERR_GCOFF_1 MTAG_WR_NREAD_SP_PA_trait_1" "GWAS_EA_excl23andMe GWAS_CP_all Schoolgrades_E1_iPSYCH Schoolgrades_E2_iPSYCH Schoolgrades_E3_iPSYCH Schoolgrades_E4_iPSYCH Cog_GWAS_excl23andMe_20201104_buildGRCh37 NonCog_GWAS_excl23andMe_20201104_buildGRCh37" /data/workspaces/lag/workspaces/lg-genlang/Working/Genotypes_QC_after_metaanalysis/LDSC/RT_combined_external_sumstats/
 ./Genetic_correlation_automated_byEllen.sh "GWAS_EA_excl23andMe GWAS_CP_all Schoolgrades_E1_iPSYCH Schoolgrades_E2_iPSYCH Schoolgrades_E3_iPSYCH Schoolgrades_E4_iPSYCH Cog_GWAS_excl23andMe_20201104_buildGRCh37 NonCog_GWAS_excl23andMe_20201104_buildGRCh37 METAANALYSIS_PIQ_RT_combined_STERR_GCOFF_1" "GWAS_EA_excl23andMe GWAS_CP_all Schoolgrades_E1_iPSYCH Schoolgrades_E2_iPSYCH Schoolgrades_E3_iPSYCH Schoolgrades_E4_iPSYCH Cog_GWAS_excl23andMe_20201104_buildGRCh37 NonCog_GWAS_excl23andMe_20201104_buildGRCh37 METAANALYSIS_PIQ_RT_combined_STERR_GCOFF_1" /data/workspaces/lag/workspaces/lg-genlang/Working/Genotypes_QC_after_metaanalysis/LDSC/RT_combined_external_sumstats/


# RT_combined_WR_tasks
 ./Genetic_correlation_automated_byEllen.sh "METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_nonTOWRE_1 METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_TOWRE_1 METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_nonTimed_1 METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_Timed_1" "METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_nonTOWRE_1 METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_TOWRE_1 METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_nonTimed_1 METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_Timed_1" /data/workspaces/lag/workspaces/lg-genlang/Working/Genotypes_QC_after_metaanalysis/LDSC/RT_combined_WR_tasks/

# RT_combined_NREAD_tasks
 ./Genetic_correlation_automated_byEllen.sh "METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_TOWRE_1 METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_nonTOWRE_1 METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_Timed_1 METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_nonTimed_1" "METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_TOWRE_1 METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_nonTOWRE_1 METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_Timed_1 METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_nonTimed_1" /data/workspaces/lag/workspaces/lg-genlang/Working/Genotypes_QC_after_metaanalysis/LDSC/RT_combined_NREAD_tasks/

# Age_stratified
 ./Genetic_correlation_automated_byEllen.sh "METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_Old_1" "METAANALYSIS_WR_RT_EUR_combined_STERR_GCOFF_Young_1" /data/workspaces/lag/workspaces/lg-genlang/Working/Genotypes_QC_after_metaanalysis/LDSC/RT_combined_WR_age_stratified/

 ./Genetic_correlation_automated_byEllen.sh "METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_Old_1" "METAANALYSIS_NREAD_RT_EUR_combined_STERR_GCOFF_Young_1" /data/workspaces/lag/workspaces/lg-genlang/Working/Genotypes_QC_after_metaanalysis/LDSC/RT_combined_NREAD_age_stratified/

